CoCoALib - Feature #203

Function to get the Hilbert Polynomial ring from GlobalManager

04 Jul 2012 11:20 - Anna Maria Bigatti

Status: Closed Start date: 04 Jul 2012
Priority: High Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: New Function Estimated time: 1.50 hour
Target version: CoCoALib-0.99532 Spent time: 0.00 hour
Description

The function MakeGlobalHPPowerList(const DenseUPolyRing& P) in GlobalManager.C creates a list of polynomials.
Its ring (a DenseUPolyRing) should be easily accessible by users.

Which name should it have?
RingQQt?

AMB 2013-07-23: John Abbott wrote RingQQt(n) (unique copy), for n indeterminates.

It is not guaranteed to be the same ring as above, but it is a global ring which can be used for many purposes.

Related issues:

Related to CoCoALib - Feature #281: Store unique copy of FF(p) in GlobalManager

Related to CoCoA-5 - Feature #93: Hilbert series: global output rings for non...
Related to CoCoALib - Design #254: How to return a Hilbert Series in CoCoALib
Related to CoCoALib - Feature #390: Store unique copy of QQ[t_1..t_n] (RingQQ...

New 03 Dec 2012
Closed 23 Feb 2012
Closed 08 Oct 2012
Closed 23 Jul 2013

History

#1 - 05 Jul 2012 11:14 - Anna Maria Bigatti

Currently it is available calling the function

DenseUPolyRing StartPoincareQQt (int IndetsNo) ;

included in (include/)*../src/AlgebraicCore/TmpHilbertDir/TmpPoincareCPP.H*

IndetsNo is used for precomputing some powers of (1-x) -- used by the Hilbert algorithm.

#2 - 18 Jun 2013 23:05 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.99534 Seoul14
- % Done changed from 0 to 50

Now that we have RingQQt(n) clean up older tentatives....

#3 - 23 Jul 2013 18:07 - Anna Maria Bigatti
- Status changed from In Progress to Feedback

- % Done changed from 50 to 90
#4 - 29 Oct 2013 14:56 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#5 - 21 Mar 2014 14:35 - Anna Maria Bigatti
- Status changed from Feedback to Closed

- Priority changed from Normal to High
- % Done changed from 90 to 100

working fine for 5 months. closing

#6 - 03 Apr 2014 11:52 - Anna Maria Bigatti
- Estimated time set to 1.50 h

10 Apr 2024
